[jbosscache-commits] JBoss Cache SVN: r5111 - in benchmarks/benchmark-fwk/trunk: src/org/cachebench/smartfrog and 1 other directory.

jbosscache-commits at lists.jboss.org jbosscache-commits at lists.jboss.org
Thu Jan 10 09:30:43 EST 2008


Author: mircea.markus
Date: 2008-01-10 09:30:43 -0500 (Thu, 10 Jan 2008)
New Revision: 5111

Modified:
   benchmarks/benchmark-fwk/trunk/runNode.sh
   benchmarks/benchmark-fwk/trunk/src/org/cachebench/smartfrog/CacheBenchmarkPrim.java
Log:
added extra logging

Modified: benchmarks/benchmark-fwk/trunk/runNode.sh
===================================================================
--- benchmarks/benchmark-fwk/trunk/runNode.sh	2008-01-10 11:38:01 UTC (rev 5110)
+++ benchmarks/benchmark-fwk/trunk/runNode.sh	2008-01-10 14:30:43 UTC (rev 5111)
@@ -14,7 +14,7 @@
    echo "testConfig       : must be one of the directories names under 'cache-products'"
    echo "cluster size"
    echo "Ex: ./runNode.sh 0 jbosscache-2.0.0 3"
-   exit 0
+   exit 1
 fi
 
 export SYS_PROPS="-DcurrentIndex=$1 -Djava.net.preferIPv4Stack=$preferIPv4Stack"
@@ -40,9 +40,10 @@
 if [ -f $configFile ]
 then
   . $configFile
+  echo "Calling $configFile exit code is $?"
 else
   echo could not find config file $configFile, exit!
-  exit 1
+  exit 2
 fi
 
 TO_EXECUTE="java $JVM_OPTIONS -cp $CLASSPATH org.cachebench.CacheBenchmarkRunner"

Modified: benchmarks/benchmark-fwk/trunk/src/org/cachebench/smartfrog/CacheBenchmarkPrim.java
===================================================================
--- benchmarks/benchmark-fwk/trunk/src/org/cachebench/smartfrog/CacheBenchmarkPrim.java	2008-01-10 11:38:01 UTC (rev 5110)
+++ benchmarks/benchmark-fwk/trunk/src/org/cachebench/smartfrog/CacheBenchmarkPrim.java	2008-01-10 14:30:43 UTC (rev 5111)
@@ -110,8 +110,9 @@
          }
          bufferedReader.close();
          int exitValue = process.waitFor();
-         if (exitValue != 0)
+         if (exitValue != 0 )
          {
+            log.info("Exiting with exit code: " + exitValue);
             sfTerminate(new TerminationRecord(TerminationRecord.ABNORMAL, "we have an NOT zero exit code: " + exitValue
                   + ", originated from " + getNodeDescription(), null));
          }




More information about the jbosscache-commits mailing list